using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Pipeline.LeadActivity.Cqrs;

public class UpdateLeadActivityValidator : AbstractValidator<UpdateLeadActivityRequest>
{
    public UpdateLeadActivityValidator()
    {
        RuleFor(x => x.Id).NotEmpty();

        RuleFor(x => x.Summary)
            .NotEmpty().WithMessage("Summary is required")
            .MaximumLength(GlobalConsts.StringLengthShort);

        RuleFor(x => x.LeadId)
            .NotEmpty().WithMessage("Lead association is required");
    }
}